Skip navigation
wizbowes
Currently Being Moderated

Unable to install Extension Builder 2.1

Jul 1, 2013 1:33 PM

I'm unable to install the 2.1 trial on a Windows 7 machine.  I get a message saying:

 

'The setup has detected that no version of the Extension Builder 2.1 is installed. The specified command-line options require that the applicatoin be installed to continue.  The setup will now terminate'

 

There's nothing showing ig the add remove programs dialog (I thought maybe a half install leaving stuff around.  It's the ful trial install I donwloaded not an update,  Any ideas?

 
Replies
  • Currently Being Moderated
    Jul 2, 2013 12:10 PM   in reply to wizbowes

    Moving this discussion to the Creative Suite Extension Builder forum.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 6:00 AM   in reply to wizbowes

    Same for me.  I've tried:

    - directly after download

    - Using Cleaner to remove CS5-5.5-6, then tried

    - after reboots

    - running as Administrator

     

    Same error every time.  Windows 7

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 7:28 AM   in reply to CreativeWorx

    Sorry for the "me too", but indeed - me too. This happened to me after the first attempt at installation failed with an error message I can't remember exactly - sometihng like "Flash Builder error 19".

     

    mlavie

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 8:39 AM   in reply to wizbowes

    Wizbowes the Extension Builder forum is going to be the appropriate discussion location for difficulty with using or installing Extension Builder.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 9:04 AM   in reply to wizbowes

    You are in the correct spot.  You are also certainly welcome to contact our support team to work with them directly.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 10:55 AM   in reply to wizbowes

    Hi,

     

    Thanks for the message.

     

    Can you tell me at what point during installation the message "... no version of the Extension Builder 2.1 is installed..." appears?

     

    Also, did you have Flash Builder 4.5 or 4.6 installed on your machine when you started the installation?

     

    Best regards,

    Hallgrimur

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 11:44 AM   in reply to Hallgrimur Bjornsson

    I probably had had both FB4.5 and FB4.6, but I ran Cleaner to remove all

    CS5, CS5.5 and CS6 apps.

     

    So, the first time I ran this, FB4.6 was installed.  I then ran Cleaner and

    tried again.  Continues to fail.

     

    -M

     

     

     

    On Wed, Jul 3, 2013 at 1:55 PM, Hallgrimur Bjornsson <

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 11:51 AM   in reply to CreativeWorx

    Ok Thanks.

     

    There is probably some leftover from the previous installation. I'm trying to pin down what that is.

     

    In general, the installer will install the Extension Builder 2.1 plugin into an existing Flash Builder 4.5 or 4.6 installation if it discovers that it's already installed. If not, it will install Flash Builder 4.6 Premium and the plugin.

     

    This is because only one instance of Flash Builder 4.5 or 4.6 can be installed on the same machine.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 11:53 AM   in reply to Hallgrimur Bjornsson

    also, I do have Creative Cloud installed on the machine.

    Would that be undermining the installation?

     

    -M

     

     

     

     

    On Wed, Jul 3, 2013 at 2:51 PM, Hallgrimur Bjornsson <

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 3, 2013 11:54 AM   in reply to CreativeWorx

    No, it should not matter.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 4, 2013 6:01 AM   in reply to Hallgrimur Bjornsson

    Hi,

     

    I am also getting the same message "the setup has detected that no version of the Extension Builder 2.1 is installed. The specified command-line options require that the applicatoin be installed to continue.  The setup will now terminate'"

     

    and hence unsable to installed extension builder 2.1 on windows 7.

     

    I am getting this message after clicked to "Extension_Builder_2_1_LS1_trial.exe" and it starts it processing.

     

    I had downloaded Extension_Builder_2_1_LS1_trial.exe from https://www.adobe.com/cfusion/tdrc/index.cfm?product=extension_builder

     

    Let me know what needs to be done next.

     

    Regards,

    Alam

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 7, 2013 8:53 PM   in reply to wizbowes

    This error is an InstallShield common error message caused by inconsistent registries. Try delete all the "Extension Builder" related registries from regedit.exe and re-run installation.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 8, 2013 2:27 AM   in reply to xujieadobe

    xujiadobe - I guess I am as dumb as my ex claims - could you please explain to me where those registries settings are?

     

    TIA

     

    mlavie

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 8, 2013 2:40 AM   in reply to mlavie

    Click the windows button, type "regedit.exe" in the search programs and launch the reg editor. Select the very first node in the left pane. Select Edit->Find..., input "Extension Builder". Delete all the keys and attributes related to Extension Builder.

     

    And forget to mention, the "Flash Builder error 19" you met was caused by conflict process running. You need to kill all the conflicting processes, e.g. Adobe products installation/uninstallation processes before retry. Actually a system restart could better fix this.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 8, 2013 4:37 AM   in reply to xujieadobe

    Thanks xujieadobe - that solved the problem.

     

     

    Regards,

    mlavie

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 19, 2013 5:53 AM   in reply to xujieadobe

    hey xujieadobe,

     

    i tried to delete the keys related to Extension Builder and i'm still getting the same error ... i only deleted keys that i thought are related to the extension builder after i did the search.

     

    any ideas?

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 19, 2013 12:40 PM   in reply to wizbowes

    Thanks for the reply... i wasn't able to fix it. what i am trying to do now is install Flash Builder then from the help -> install new software, install extension builder...

     

    also i could user eclipse right? any disatvantage of going that way?

     

    Thanks

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 19, 2013 6:58 PM   in reply to tonyrizk81

    For the installation failure you mentioned, you should be able to fix it this way. I’d suggest you check it more carefully. As wizbowes<http://forums.adobe.com/people/wizbowes> mentioned, you need to delete the parent when you see its keys are all Extension Builder related.

     

    EB2.1 does not provide installation package from install through help->install new software any more. The installer is to help make things easy by setting up Extension Builder by several clicks. Theoretically you can use eclipse as a start point, but you will need to install the Flash Builder 4.5/4.6 plugin first, which will require a serial number, then some manual tweaks for EB to work. The whole process is more error prone and not recommended.

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 21, 2013 5:42 AM   in reply to xujieadobe

    Thanks for the clarifications guys. i wasn't able to install it on my windows 8 machine.... got it working on a different machine

     
    |
    Mark as:
  • Currently Being Moderated
    Oct 1, 2013 3:45 PM   in reply to wizbowes

    Same problem here, but after I deleted all the "Extension Builder" -related registry keys, it ends me with these popups on any install try onward:

     

    extension builder2error.jpg

     

    It says about upgrading (or downgrading in this case), tho it's my first time installing EB21, the trial version for now. Atm of the installation, I had eclipse with extension builder 3 (got from labs just a day before), none of them flash builders, and win7 as os. The initial message was the same "The setup has detected that no version of etc..", with that found my way here on these topics. After a full day and a half of trying almost anything adviced about the issue through searching, the message above remains constant. I've tried registry search/delete for keys(&parents), registry clean, installation with the flash builder 4.6 trial preinstalled, and also this solution for the Error: -1625 here, unfortunately no luck on any.

     

    Lastly, I may also have messed up the thing myself... When I rolled the "find..." -command in regedit for the first time, on first match I deleted only the key (not parent) and continued search to the next one. Right after, realized to backup the registry. .. aand just after that, read the post about deleting also the parent of related keys. So with my rather limited knowledge about registry, there could be still this one set left, where only the searchword qualified key is removed and other related keys remains. Could this be the problem? Is there anyway to get through the installation?

     

    I could go with EB3, but I need to make extensions for Photoshop CS6, so they'd benefit me in my job. I understood EB3 lacks support for CS6?.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points